API Reference
Assess source resolution and a full-source fallback without starting billable work.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Path Parameters
assetId*string
Query Parameters
aspect_ratio*string
Value in
- "9:16"
- "16:9"
- "1:1"
- "4:5"
resolution*string
Value in
- "720p"
- "1080p"
- "4k"
crop_width?number
Range
0 < value <= 1Default
1crop_height?number
Range
0 < value <= 1Default
1Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/workspace/media/assets/string/reframe-preflight?aspect_ratio=9%3A16&resolution=720p"{ "asset_id": "string", "status": "native_resolution", "source": { "width": 0, "height": 0 }, "output": { "width": 0, "height": 0 }, "cover_crop_pixels": { "width": 0, "height": 0 }, "upscale_factor": 0, "requested_crop": { "width": 0, "height": 0 }, "subject_detection_performed": false, "billable_work_started": false, "fallback": { "layout_mode": "preserve_full_source", "content_pixels": { "width": 0, "height": 0 }, "upscale_factor": 0 }, "warnings": [ "string" ]}Get the latest clip batch for a media asset GET
Get the latest clip batch for a media asset.
Estimate ByteDance video upscale credits. Returns eligible=false when the asset cannot be upscaled; does not spend credits. GET
Estimate ByteDance video upscale credits. Returns eligible=false when the asset cannot be upscaled; does not spend credits.